import NarrowBanner from "@/components/common/banners/NarrowBanner";
import MainBreadCrumb from "@/components/common/breadCrumbs/MainBreadCrumb";
import ProductMainSection from "@/components/sections/ProductMainSection";
import ProductSideBarSection from "@/components/sections/ProductSideBarSection";
// import { getProductBySlug } from "@/services/apis/products";

// export async function generateMetadata({ params }) {
//   const { product } = await params;

//   const singleProduct = await getProductBySlug(product);
//   const section = singleProduct?.sections.find(
//     (sec) => sec.sectionBaseData.type === "product_faq"
//   );
//   const jsonLd = section?.content?.map((item) => ({
//     "@type": "Question",
//     name: item.question,
//     acceptedAnswer: {
//       "@type": "Answer",
//       text: item.answer,
//     },
//   }));

//   const structuredData = {
//     "@context": "https://schema.org",
//     "@type": "FAQPage",
//     mainEntity: jsonLd,
//   };

//   return {
//     title: singleProduct.name,
//     description: singleProduct.metaDesc,
//     other: {
//       type: "application/ld+json",
//       content: JSON.stringify(structuredData),
//     },
//   };
// }

const ProductRenderer = async ({ product }) => {
  if (!product) return null;
  return (
    <div className="w-full flex flex-col gap-6 pt-2 mb-10 ">
      <div className="w-full flex flex-col gap-2">
        <MainBreadCrumb />
        <NarrowBanner
          title={product.name}
          desc={product.desc}
          banner={product.banner}
        />
      </div>
      <div className="w-full flex gap-6 container ">
        <ProductMainSection product={product} />
        <ProductSideBarSection product={product} />
      </div>
    </div>
  );
};

export default ProductRenderer;
